"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  notify: () => notify2
});
module.exports = __toCommonJS(meta_exports);

// src/ping-notifications-v1-public-notification-notifications.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
function resolveComWixpressPingHubApiPublicNotificationsServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/notifications-hub-server",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_api/ping/hub",
        destPath: ""
      },
      {
        srcPath: "/_api/ping/notifications",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/ping/hub",
        destPath: ""
      },
      {
        srcPath: "/_api/ping/notifications",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/notifications/v3/notify",
        destPath: "/v3/notify"
      }
    ]
  };
  return (0, import_rest_modules.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_notifications_notifications";
function notify(payload) {
  function __notify({ host }) {
    const metadata = {
      entityFqdn: "wix.ping.notifications.v1.public_notification",
      method: "POST",
      methodFqn: "com.wixpress.ping.hub.api.PublicNotificationsService.Notify",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressPingHubApiPublicNotificationsServiceUrl({
        protoPath: "/api/v1/notify",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __notify;
}

// src/ping-notifications-v1-public-notification-notifications.meta.ts
function notify2() {
  const payload = {};
  const getRequestOptions = notify(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/api/v1/notify",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  notify
});
//# sourceMappingURL=meta.js.map